package com.usky.dxtop.service.api;


import java.util.TreeMap;

/**
 * @author yq
 * @date 2021/8/26 9:06
 */
public class OneCardApi {

    private static final String URL = "http://183.129.209.98:19001";

    private static final Integer VERSION = 3;
    /**
     * 寻卡地址
     */
    private static final String FIND_URL = String.format("%s/%s",URL,"partner/find");
    /**
     * 读卡
     */
    private static final String GET_CARD_URL = String.format("%s/%s",URL,"partner/get");
    /**
     * 卡消费
     */
    private static final String PAY_URL = String.format("%s/%s",URL,"partner/pay");
    /**
     * 卡消费撤单
     */
    private static final String UN_PAY_URL = String.format("%s/%s",URL,"partner/unpay");
    /**
     * 卡充值
     */
    private static final String CHARGE = String.format("%s/%s",URL,"partner/change");
    /**
     * 取消卡充值
     */
    private static final String UN_CHANGE = String.format("%s/%s",URL,"partner/unchange");
    /**
     * 查看终端的充值和消费流水(含撤单)
     */
    private static final String RECONCILIATION = String.format("%s/%s",URL,"partner/reconciliation");
    /**
     * 卡日志查询
     */
    private static final String LOGS = String.format("%s/%s",URL,"partner/logs");


    public static TreeMap<String, Object> getCommonParam(){
        TreeMap<String, Object> tMap = new TreeMap<>();
        tMap.put("v",3);
        tMap.put("shop",3);
        tMap.put("term",3);
        tMap.put("oper",3);
        tMap.put("format","json");
        return tMap;
    }

    /**
     * 寻卡参数
     * @param t
     * @param q
     * @return
     */
    public static TreeMap<String, Object> getFindParam(Integer t,String q){
        TreeMap<String, Object> commonParam = getCommonParam();
        commonParam.put("t",t);
        commonParam.put("q",q);
        return commonParam;
    }
}
